jQuery(document).ready(function($) {
	// wpColorPicker
	$('.color-picker').wpColorPicker();

   // Reveal AR code
   $('.ar_advance').hide();
   $(document).on('click', '.viewarcode', function() {
      var id = parseInt( $(this).closest('.screen').attr('id').match(/\d+/g, 10) );
      console.log(id);
      $('#ar_advance-'+id).toggle();
      return false;
   });

	// Clone screen options (not used. Saved for other projects)
   $('.addx').on('click', function() {
      //http://stackoverflow.com/questions/10126395/how-to-jquery-clone-and-change-id
      var $lastid = $('li[id^="scrn-"]:last');
      var num = parseInt( $lastid.prop("id").match(/\d+/g), 10) + 1;
      console.log(num);
   	//var row = $('.screenlist li:last').clone(true).prop('id', 'scrn-'+num);
      var row = $('#copy').clone(true).prop('id', 'scrn-'+num);
      row.find('button.add').attr('id', 'add-'+num);
      row.find('a.viewarcode').attr('id', 'viewarcode-'+num);
      row.find('div.ar_advance').attr('id', 'ar_advance-'+num);
   	row.find('input[type=text], textarea, .animate-opts').val('');
      row.find('.item.hdr span').text('Screen ID: '+num);
      row.find('textarea.ar_code').attr('id', 'ar_code-'+num);
      row.find('div.arcode_hdn_div').attr('id', 'arcode_hdn_div-'+num);
      row.find('input.ar_name').attr('id', 'ar_name-'+num);
      row.find('input.ar_email').attr('id', 'ar_email-'+num);
      row.find('input.ar_url').attr('id', 'ar_url-'+num);
      row.find('textarea.ar_hidden').attr('id', 'ar_hidden-'+num);
      row.find('textarea.scrncontent').attr('id', 'scrncontent-'+num);
   	row.insertAfter('.screenlist li:last');

   	return false;
   });
   // Remove row
   $('button.remove').on('click', function() {
   	$(this).parent().parent().remove();
   });

   // Copy AR Code
   /*
*/
   $('.ar_code').on('keyup, change', function() {
      //var id = $(this).closest('.screen').data('id'); (get id)
      var id = parseInt( $(this).closest('.screen').attr('id').match(/\d+/g), 10 );
      console.log('Hey!');
      var pastedcode = $(this).val();
      var $ar_code = $(pastedcode);
      
      var ar_url = $ar_code.attr('action');
      if( !ar_url ) {
         ar_url = $ar_code.find('form').attr('action');
      }
      var getname = $ar_code.find('input[type=text][name*="name"]').attr('name');
      var getemail = $ar_code.find('input[type=text][name*="email"], input[type=email][name*="email"], input[type=text][name*="from"]').attr('name');
      var hiddenObject = $ar_code.find('input[type=hidden]');

      var ar_name = ( getname != 0 ? getname : '' );
      var ar_email = ( getemail != 0 ? getemail : '' );

      if( !hiddenObject || hiddenObject.length === 0 ) {
         $('#arcode_hdn_div-'+id).text('');
      } else {
         $(hiddenObject).each(function() {
            $('#arcode_hdn_div-'+id).append('<input type="hidden" name="'+$(this).attr('name')+'" value="'+$(this).val()+'">');
         });         
      }

      $('#ar_url-'+id).val(ar_url);
      $('#ar_name-'+id).val(ar_name);
      $('#ar_email-'+id).val(ar_email);
      if( !hiddenObject || hiddenObject.length === 0 ) {
         $('#ar_hidden-'+id).val('');
      } else {
         $('#ar_hidden-'+id).val($('#arcode_hdn_div-'+id).html());
      }

      //console.log('id:'+id+' ar_url: '+ ar_url + ' ar_email:'+ar_email+' ar_name:'+ar_name);
      //console.log($ar_code.find('form').attr('action'));

      // Clear hidden div
      $('#arcode_hdn_div-'+id).text('');
   });
});